import { Component, HostListener, Input } from '@angular/core';
import { Message } from '../../../../models/message';
import { UserService } from '../../../../services/user.service';

@Component({
  selector: 'app-message',
  standalone: false,
  templateUrl: './message.component.html',
  styleUrl: './message.component.scss'
})
export class MessageComponent {
  @Input('message') public message!: Message;

  public userStatus?: string;

  constructor(private userService: UserService) { }

  @HostListener('mouseenter')
  private getStatus(): void {
    if (!this.userStatus) {
      this.userService.GetUser(this.message.sender_name).subscribe({
        next: user => this.userStatus = user.status
      });
    }
  }

  public GetMessageDateFormat(): string {
    return (new Date().getDay() == this.message.time.getDay()) ? 'HH:mm' : 'MMM d, HH:mm';
  }
}
